Package com.documentum.registry

# Interface IDfViewedObject

All Superinterfaces:
  `IDfClientRegistryObject`

All Known Subinterfaces:
  `IViewedObjectInternal`

public interface IDfViewedObject extends IDfClientRegistryObject
IDfViewedObject represents an object that has been "viewed" in the repository.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFilePath(String filePath)`
  Adds the file path to the existing viewed object.
  `IDfList`
  `getFilePaths()`
  It is possible that the given viewed object may have more than one file path.
  `void`
  `removeFilePath(String filePath)`
  Removes the file path from the existing viewed object.

  ### Methods inherited from interface com.documentum.registry.IDfClientRegistryObject

  `getContentIdentifier, getDocbaseId, getDocbaseName, getDocbroker, getDomainName, getFilePath, getFolderPath, getFormat, getFormatDescription, getObjectId, getObjectName, getResourceForkIdentifier, getTitle, getType, getUser, getVStamp, isDirty, loadFromRegistry, setContentIdentifier, setDocbaseId, setDocbaseName, setDocbroker, setDomainName, setFilePath, setFolderPath, setFormat, setFormatDescription, setObjectId, setObjectName, setResourceForkIdentifier, setTitle, setType, setUser, setVStamp, updateRegistry`

- ## Method Details

  - ### getFilePaths

    IDfList getFilePaths() throws DfException
    It is possible that the given viewed object may have more than one file path. This method returns all the file paths corresponding to the given viewed object.
    Returns:
      the list of all file paths
    Throws:
      `DfException`

  - ### addFilePath

    void addFilePath(String filePath) throws DfException
    Adds the file path to the existing viewed object. If the FileName entry corresponding to the viewed object is empty, the FileName entry is set to the filePath. If the fileName entry already exists, a check is made to see if "Alternate FilePaths" registry entry exists under the viewed object ID. If an "Alternate FilePaths" entry does not exist, then an "Alternate FilePaths" entry is created and the filePath is added to it. If an "Alternate FilePaths" entry exists, then filePath is added to the the exisitng filePaths present under "Alternate FilePaths".
    Parameters:
      `filePath` - the filePath to be added
    Throws:
      `DfException`

  - ### removeFilePath

    void removeFilePath(String filePath) throws DfException
    Removes the file path from the existing viewed object. If the filePath entry matches the fileName entry of the viewed object, then the existing filePath from fileName entry is removed and one of the filePath items from the "Alternate FilePaths" is pulled and set on the fileName entry. If "Alternate FilePaths" entry does not exist, then filePath corresponding to fileName is set as empty string. If the filePath entry does not match the fileName entry of the viewed object, and if the "Alternate FilePaths" entry exists, then a search is made in the filePaths under "Alternate FilePaths".
    Parameters:
      `filePath` - the filePath to be removed.
    Throws:
      `DfException`